org.mariadb.jdbc

## Class JDBCUrl

- java.lang.Object
- - org.mariadb.jdbc.JDBCUrl

    public class JDBCUrl
    extends Object

### Method Summary

Methods
`String` `getDatabase()`
`HostAddress[]` `getHostAddresses()`
`String` `getHostname()`
`String` `getPassword()`
`int` `getPort()`
`String` `getUsername()`
`static JDBCUrl` `parse(String url)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### parse

    public static JDBCUrl parse(String url)

#### getUsername

    public String getUsername()

#### getPassword

    public String getPassword()

#### getHostname

    public String getHostname()

#### getPort

    public int getPort()

#### getDatabase

    public String getDatabase()

#### getHostAddresses

    public HostAddress[] getHostAddresses()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`